<?php

 /*************************************************************************
 ***  Systm pro TME - TMEP                                             ***
 ***  (c) Michal evk 2007-2011 - multi@tricker.cz                    ***
 *************************************************************************/

 //////////////////////////////////////////////////////////////////////////
 //// GRAF - poslednich dvacetctyri hodin
 //// GRAPH - temperatures for latest 24 hours
 //////////////////////////////////////////////////////////////////////////

  // musime vygenerovat graf
  // nacteme soubor s nastavenim
  require_once "../nastaveni.php";
  // nastaveni skrze stranku...
  if(isset($_GET['n'])) { $n = explode("--", $_GET['n'], 2); $l = $n[1]; $u = $n[0]; }
  // skript s jazykovou mutaci
  require_once "../lang/".$l.".php";
  // nacteme soubor s databazi
  require_once "db.php";
  // nacteme tech par funkci
  require_once "fce.php";
  // nacteme tridu JPGraph pro tvorbu grafu
  require_once "jpgraph/jpgraph.php";
  require_once "jpgraph/jpgraph_line.php";

   // inicializace
   $ydata1 = Array();
   $ydata2 = Array();
   $ydata3 = Array();

   // nacteme prumerne mesicni teploty      
   $dotaz = MySQL_query("SELECT den as mesic, AVG(prumer) as prumer, MIN(nejnizsi) as nejnizsi, MAX(nejvyssi) as nejvyssi 
                         FROM tme_denni 
                         GROUP BY year(den), month(den) 
                         ORDER BY den DESC LIMIT 1, 24");  

   // hodime do pole
   while($data = MySQL_fetch_assoc($dotaz))
   {
 
      if(round($data['prumer'], 2) == 0){ $ydata1[] = "0"; }
     else{ $ydata1[] = jednotkaTeploty(round($data['prumer'], 2), $u, 0); }

     if(round($data['nejnizsi'], 2) == 0){ $ydata2[] = "0"; }
     else{ $ydata2[] = jednotkaTeploty(round($data['nejnizsi'], 2), $u, 0); }

     if(round($data['nejvyssi'], 2) == 0){ $ydata3[] = "0"; }
     else{ $ydata3[] = jednotkaTeploty(round($data['nejvyssi'], 2), $u, 0); }

     $labels[] = substr($data['mesic'], 0, 4)."/".substr($data['mesic'], 5, 2);

   }


   // abychom ziskali spravnou posloupnoust udaju, tak obe pole obratime
   $ydata1 = array_reverse($ydata1);
   $ydata2 = array_reverse($ydata2);
   $ydata3 = array_reverse($ydata3);
   $labels = array_reverse($labels);

  // novy graf
  $graph = new Graph(786,400,"auto");	
  
  // typ grafu
  $graph->SetMarginColor('#e3e1b9');
  $graph->SetScale("textlin");
  $graph->SetFrame(true);
  $graph->SetMargin(40,115,20,70);

  // vyhlazene linky
  //$graph->img->SetAntiAliasing(); 

  // nastavime osu X  
  $graph->xaxis->SetFont(FF_FONT1,FS_NORMAL);
  $graph->xaxis->SetTickLabels($labels);
  $graph->xaxis->SetLabelAngle(90);
  $graph->xaxis->SetPos('min');
  
  // radky odlisene barevne
  $graph->ygrid->SetFill(true,'#EFEFEF@0.5','#BBCCFF@0.5');
  
  // popisky
  $graph->title->Set($lang['prumernamesicnigraf']);


  // kosmetika 
  $graph->yaxis->HideZeroLabel();
  $graph->ygrid->SetFill(true,'#EFEFEF@0.5','#BBCCFF@0.5');

  $graph->xgrid->Show();
  
  // Prvni linka s legendou
  $p1 = new LinePlot($ydata1);
  $p1->SetColor("red");
  $p1->SetLegend($lang['max']);
  $graph->Add($p1);
  
  $p1->value->Show();
  $p1->value->SetColor("red");
  $p1->value->SetFont(FF_FONT1,FS_BOLD);
  
  // Druha linka s legendou
  $p2 = new LinePlot($ydata2);
  $p2->SetColor("navy");
  $p2->SetLegend($lang['min']);
  $graph->Add($p2);
  
  $p2->value->Show();
  $p2->value->SetColor("navy");
  $p2->value->SetFont(FF_FONT1,FS_BOLD);
  
  // Treti linka s legendou
  $p3 = new LinePlot($ydata3);
  $p3->SetColor("orange");
  $p3->SetLegend($lang['avg']);
  $graph->Add($p3);
  
  $p3->value->Show();
  $p3->value->SetColor("orange");
  $p3->value->SetFont(FF_FONT1,FS_BOLD);

  // umisteni legendy  
  $graph->legend->SetPos(0.008,0.08,'right','top');

  // zobrazeni grafu
  $graph->Stroke();

?>
