<?php

 /*************************************************************************
 ***  Systm pro TME - TMEP                                             ***
 ***  (c) Michal evk 2007-2011 - multi@tricker.cz                    ***
 *************************************************************************/

 //////////////////////////////////////////////////////////////////////////
 //// GRAF - teploty za poslednich 14 dni
 //// GRAPH - temperatures for last 14 days
 //////////////////////////////////////////////////////////////////////////

 // nacteme soubor s nastavenim
 require_once "../nastaveni.php";

  // nastaveni skrze stranku...
  if(isset($_GET['n'])) { $n = explode("--", $_GET['n'], 2); $l = $n[1]; $u = $n[0]; }

  // musime vygenerovat graf
  // skript s jazykovou mutaci
  require_once "../lang/".$l.".php";
  // nacteme soubor s databazi
  require_once "db.php";
  // nacteme tech par funkci
  require_once "fce.php";
  // nacteme tridu JPGraph pro tvorbu grafu
  require_once "jpgraph/jpgraph.php";
  require_once "jpgraph/jpgraph_line.php";

  // zjistime jednotku teploty (prasarnicka)
  $jednotkap = explode(" ", jednotkaTeploty(1, $u, 1));
  $jednotka = str_replace("&deg;", "", $jednotkap[1]);

  // maximalni teplota dany den
  $qj = MySQL_query("SELECT den, nejvyssi FROM tme_denni ORDER BY den DESC LIMIT 0, 21");
  while($hod = MySQL_fetch_assoc($qj))
  {
    // popisek
    $labels[] = formatDnu($hod['den']);
    // sup do pole
    $datay1[] = jednotkaTeploty(round($hod['nejvyssi'],2), $u, 0);
  }

  // minimalni teplota dany den
  $qj = MySQL_query("SELECT nejnizsi FROM tme_denni ORDER BY den DESC LIMIT 0, 21");
  while($hod = MySQL_fetch_assoc($qj))
  {
    // sup do pole
    $datay2[] = jednotkaTeploty(round($hod['nejnizsi'],2), $u, 0);
  }

  // prumerna teplota dany den
  $qj = MySQL_query("SELECT prumer FROM tme_denni ORDER BY den DESC LIMIT 0, 21");
  while($hod = MySQL_fetch_assoc($qj))
  {
    // zaokrouhlit a ... no ano, sup do pole!
    $datay3[] = jednotkaTeploty(round($hod['prumer'],2), $u, 0);
  }

  // obratime pole
  $datay1 = array_reverse($datay1);
  $datay2 = array_reverse($datay2);
  $datay3 = array_reverse($datay3);
  $labels = array_reverse($labels);

  // novy graf graf
  $graph = new Graph(786,400,"auto");	

  // zakladni nastaveni
  $graph->SetMarginColor('#e3e1b9');
  $graph->SetScale("textlin");
  $graph->SetFrame(true);
  $graph->SetMargin(40,115,20,70);
  //$graph->img->SetAntiAliasing();
  
  // osa X  
  $graph->xaxis->SetFont(FF_FONT1,FS_NORMAL);
  $graph->xaxis->SetTickLabels($labels);
  $graph->xaxis->SetLabelAngle(90);
  $graph->xaxis->SetPos('min');
  
  // popisky
  $graph->title->Set($lang['teploty14dni']);
  
  // kosmetika 
  $graph->yaxis->HideZeroLabel();
  $graph->ygrid->SetFill(true,'#EFEFEF@0.5','#BBCCFF@0.5');

  $graph->xgrid->Show();
  
  // Prvni linka s legendou
  $p1 = new LinePlot($datay1);
  $p1->SetColor("red");
  $p1->SetLegend($lang['max']);
  $graph->Add($p1);
  
  $p1->value->Show();
  $p1->value->SetColor("red");
  $p1->value->SetFont(FF_FONT1,FS_BOLD);
  
  // Druha linka s legendou
  $p2 = new LinePlot($datay2);
  $p2->SetColor("navy");
  $p2->SetLegend($lang['min']);
  $graph->Add($p2);
  
  $p2->value->Show();
  $p2->value->SetColor("navy");
  $p2->value->SetFont(FF_FONT1,FS_BOLD);
  
  // Treti linka s legendou
  $p3 = new LinePlot($datay3);
  $p3->SetColor("orange");
  $p3->SetLegend($lang['avg']);
  $graph->Add($p3);
  
  $p3->value->Show();
  $p3->value->SetColor("orange");
  $p3->value->SetFont(FF_FONT1,FS_BOLD);

  // umisteni legendy  
  $graph->legend->SetPos(0.008,0.08,'right','top');

  // zapsat do souboru
  $graph->Stroke();


?>
